Bug 101142 - Kernel Error During Installation of New Version of Linux
Kernel Error During Installation of New Version of Linux
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-29 12:09 EDT by Rick Schneider
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Schneider 2003-07-29 12:09:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; YComp 
5.0.2.5; .NET CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
When I install Linux, it seems to work fine if there is NOT a previous version 
already on the hard drive.  

However, if I attempt to upgrade from version 8.0 to 9.0, it gives me 
this: "Kernel Error: CPU Context Corrupt", and the installer crashes.  This 
also happens if I try to completely reinstall Linux.  

The solution is to use a boot disc with FDISK on it and completely remove all 
partitions on the hard drive.  You can then install Linux.  

You can get a free copy of FDISK via the link below.  
http://www.23cc.com/free-fdisk/

If this helps you, please email me at rwschneider1@charter.net.  I would love 
to hear about it.  :)


Good Luck!
Rick

Version-Release number of selected component (if applicable):
Red Hat Linux 9.0

How reproducible:
Always

Steps to Reproduce:
1.  Install Red Hat Linux 8.0
2.  Try to upgrade to Red Hat Linux 9.0
3.
    

Actual Results:  It gave me this error message:
Kernel Error: CPU Context Corrupt

Expected Results:  Should have upgraded to Red Hat Linux 9.0

Additional info:
Comment 1 Rick Schneider 2003-07-29 12:16:53 EDT
Oh by the way - I think this bug exists in all versions of Red Hat Linux.  I 
know it exists when upgrading from 7.2 to 8.0
Comment 2 Michael Fulbright 2003-07-30 12:44:33 EDT
At what point during the install process do you get the kernel error?
Comment 3 Rick Schneider 2003-08-05 17:56:10 EDT
I usually get the kernel error when the Linux installer is being booted up, or 
when it's formatting the file system or installing RPMs.  

By the way - I correct myself in that the fix is NOT to remove all partitions 
from your hard drive with FDISK.  You have to zerofill your hard drive.  
Comment 4 Bugzilla owner 2004-09-30 11:41:22 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.